"Fossies" - the Fresh Open Source Software Archive

Member "smbnetfs-0.6.3/Makefile.in" (31 Jan 2021, 26774 Bytes) of package /linux/misc/smbnetfs-0.6.3.tar.bz2:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 0.6.2_vs_0.6.3.

    1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 subdir = .
   90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   91 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   93 	$(ACLOCAL_M4)
   94 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   95 	$(am__configure_deps) $(am__DIST_COMMON)
   96 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   97  configure.lineno config.status.lineno
   98 mkinstalldirs = $(install_sh) -d
   99 CONFIG_HEADER = $(top_builddir)/src/config.h
  100 CONFIG_CLEAN_FILES =
  101 CONFIG_CLEAN_VPATH_FILES =
  102 AM_V_P = $(am__v_P_@AM_V@)
  103 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  104 am__v_P_0 = false
  105 am__v_P_1 = :
  106 AM_V_GEN = $(am__v_GEN_@AM_V@)
  107 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  108 am__v_GEN_0 = @echo "  GEN     " $@;
  109 am__v_GEN_1 = 
  110 AM_V_at = $(am__v_at_@AM_V@)
  111 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  112 am__v_at_0 = @
  113 am__v_at_1 = 
  114 SOURCES =
  115 DIST_SOURCES =
  116 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  117 	ctags-recursive dvi-recursive html-recursive info-recursive \
  118 	install-data-recursive install-dvi-recursive \
  119 	install-exec-recursive install-html-recursive \
  120 	install-info-recursive install-pdf-recursive \
  121 	install-ps-recursive install-recursive installcheck-recursive \
  122 	installdirs-recursive pdf-recursive ps-recursive \
  123 	tags-recursive uninstall-recursive
  124 am__can_run_installinfo = \
  125   case $$AM_UPDATE_INFO_DIR in \
  126     n|no|NO) false;; \
  127     *) (install-info --version) >/dev/null 2>&1;; \
  128   esac
  129 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  130 am__vpath_adj = case $$p in \
  131     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  132     *) f=$$p;; \
  133   esac;
  134 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  135 am__install_max = 40
  136 am__nobase_strip_setup = \
  137   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  138 am__nobase_strip = \
  139   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  140 am__nobase_list = $(am__nobase_strip_setup); \
  141   for p in $$list; do echo "$$p $$p"; done | \
  142   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  143   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  144     if (++n[$$2] == $(am__install_max)) \
  145       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  146     END { for (dir in files) print dir, files[dir] }'
  147 am__base_list = \
  148   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  149   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  150 am__uninstall_files_from_dir = { \
  151   test -z "$$files" \
  152     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  153     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  154          $(am__cd) "$$dir" && rm -f $$files; }; \
  155   }
  156 am__installdirs = "$(DESTDIR)$(docdir)"
  157 DATA = $(doc_DATA)
  158 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  159   distclean-recursive maintainer-clean-recursive
  160 am__recursive_targets = \
  161   $(RECURSIVE_TARGETS) \
  162   $(RECURSIVE_CLEAN_TARGETS) \
  163   $(am__extra_recursive_targets)
  164 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  165 	cscope distdir distdir-am dist dist-all distcheck
  166 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  167 # Read a list of newline-separated strings from the standard input,
  168 # and print each of them once, without duplicates.  Input order is
  169 # *not* preserved.
  170 am__uniquify_input = $(AWK) '\
  171   BEGIN { nonempty = 0; } \
  172   { items[$$0] = 1; nonempty = 1; } \
  173   END { if (nonempty) { for (i in items) print i; }; } \
  174 '
  175 # Make sure the list of sources is unique.  This is necessary because,
  176 # e.g., the same source file might be shared among _SOURCES variables
  177 # for different programs/libraries.
  178 am__define_uniq_tagged_files = \
  179   list='$(am__tagged_files)'; \
  180   unique=`for i in $$list; do \
  181     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  182   done | $(am__uniquify_input)`
  183 ETAGS = etags
  184 CTAGS = ctags
  185 CSCOPE = cscope
  186 DIST_SUBDIRS = $(SUBDIRS)
  187 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
  188 	INSTALL NEWS README TODO compile install-sh missing
  189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  190 distdir = $(PACKAGE)-$(VERSION)
  191 top_distdir = $(distdir)
  192 am__remove_distdir = \
  193   if test -d "$(distdir)"; then \
  194     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  195       && rm -rf "$(distdir)" \
  196       || { sleep 5 && rm -rf "$(distdir)"; }; \
  197   else :; fi
  198 am__post_remove_distdir = $(am__remove_distdir)
  199 am__relativize = \
  200   dir0=`pwd`; \
  201   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  202   sed_rest='s,^[^/]*/*,,'; \
  203   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  204   sed_butlast='s,/*[^/]*$$,,'; \
  205   while test -n "$$dir1"; do \
  206     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  207     if test "$$first" != "."; then \
  208       if test "$$first" = ".."; then \
  209         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  210         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  211       else \
  212         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  213         if test "$$first2" = "$$first"; then \
  214           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  215         else \
  216           dir2="../$$dir2"; \
  217         fi; \
  218         dir0="$$dir0"/"$$first"; \
  219       fi; \
  220     fi; \
  221     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  222   done; \
  223   reldir="$$dir2"
  224 DIST_ARCHIVES = $(distdir).tar.gz
  225 GZIP_ENV = --best
  226 DIST_TARGETS = dist-gzip
  227 # Exists only to be overridden by the user if desired.
  228 AM_DISTCHECK_DVI_TARGET = dvi
  229 distuninstallcheck_listfiles = find . -type f -print
  230 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  231   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  232 distcleancheck_listfiles = find . -type f -print
  233 ACLOCAL = @ACLOCAL@
  234 AMTAR = @AMTAR@
  235 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  236 AUTOCONF = @AUTOCONF@
  237 AUTOHEADER = @AUTOHEADER@
  238 AUTOMAKE = @AUTOMAKE@
  239 AWK = @AWK@
  240 CC = @CC@
  241 CCDEPMODE = @CCDEPMODE@
  242 CFLAGS = @CFLAGS@
  243 CPPFLAGS = @CPPFLAGS@
  244 CYGPATH_W = @CYGPATH_W@
  245 DEFS = @DEFS@
  246 DEPDIR = @DEPDIR@
  247 ECHO_C = @ECHO_C@
  248 ECHO_N = @ECHO_N@
  249 ECHO_T = @ECHO_T@
  250 EXEEXT = @EXEEXT@
  251 FUSE_CFLAGS = @FUSE_CFLAGS@
  252 FUSE_LIBS = @FUSE_LIBS@
  253 GLIB_CFLAGS = @GLIB_CFLAGS@
  254 GLIB_LIBS = @GLIB_LIBS@
  255 INSTALL = @INSTALL@
  256 INSTALL_DATA = @INSTALL_DATA@
  257 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  258 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  259 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  260 LDFLAGS = @LDFLAGS@
  261 LIBOBJS = @LIBOBJS@
  262 LIBS = @LIBS@
  263 LIBSECRET_CFLAGS = @LIBSECRET_CFLAGS@
  264 LIBSECRET_LIBS = @LIBSECRET_LIBS@
  265 LTLIBOBJS = @LTLIBOBJS@
  266 MAKEINFO = @MAKEINFO@
  267 MKDIR_P = @MKDIR_P@
  268 OBJEXT = @OBJEXT@
  269 PACKAGE = @PACKAGE@
  270 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  271 PACKAGE_NAME = @PACKAGE_NAME@
  272 PACKAGE_STRING = @PACKAGE_STRING@
  273 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  274 PACKAGE_URL = @PACKAGE_URL@
  275 PACKAGE_VERSION = @PACKAGE_VERSION@
  276 PATH_SEPARATOR = @PATH_SEPARATOR@
  277 PKG_CONFIG = @PKG_CONFIG@
  278 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  279 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  280 SET_MAKE = @SET_MAKE@
  281 SHELL = @SHELL@
  282 SMBCLIENT_CFLAGS = @SMBCLIENT_CFLAGS@
  283 SMBCLIENT_LIBS = @SMBCLIENT_LIBS@
  284 STRIP = @STRIP@
  285 VERSION = @VERSION@
  286 abs_builddir = @abs_builddir@
  287 abs_srcdir = @abs_srcdir@
  288 abs_top_builddir = @abs_top_builddir@
  289 abs_top_srcdir = @abs_top_srcdir@
  290 ac_ct_CC = @ac_ct_CC@
  291 am__include = @am__include@
  292 am__leading_dot = @am__leading_dot@
  293 am__quote = @am__quote@
  294 am__tar = @am__tar@
  295 am__untar = @am__untar@
  296 bindir = @bindir@
  297 build_alias = @build_alias@
  298 builddir = @builddir@
  299 datadir = @datadir@
  300 datarootdir = @datarootdir@
  301 docdir = $(datadir)/doc/$(distdir)
  302 dvidir = @dvidir@
  303 exec_prefix = @exec_prefix@
  304 host_alias = @host_alias@
  305 htmldir = @htmldir@
  306 includedir = @includedir@
  307 infodir = @infodir@
  308 install_sh = @install_sh@
  309 libdir = @libdir@
  310 libexecdir = @libexecdir@
  311 localedir = @localedir@
  312 localstatedir = @localstatedir@
  313 mandir = @mandir@
  314 mkdir_p = @mkdir_p@
  315 oldincludedir = @oldincludedir@
  316 pdfdir = @pdfdir@
  317 prefix = @prefix@
  318 program_transform_name = @program_transform_name@
  319 psdir = @psdir@
  320 runstatedir = @runstatedir@
  321 sbindir = @sbindir@
  322 sharedstatedir = @sharedstatedir@
  323 srcdir = @srcdir@
  324 sysconfdir = @sysconfdir@
  325 target_alias = @target_alias@
  326 top_build_prefix = @top_build_prefix@
  327 top_builddir = @top_builddir@
  328 top_srcdir = @top_srcdir@
  329 doc_DATA = \
  330 	conf/smbnetfs.conf \
  331 	doc/ENGLISH.FAQ \
  332 	doc/RUSSIAN.FAQ \
  333 	doc/INSTALL
  334 
  335 SUBDIRS = src
  336 all: all-recursive
  337 
  338 .SUFFIXES:
  339 am--refresh: Makefile
  340 	@:
  341 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  342 	@for dep in $?; do \
  343 	  case '$(am__configure_deps)' in \
  344 	    *$$dep*) \
  345 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  346 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  347 		&& exit 0; \
  348 	      exit 1;; \
  349 	  esac; \
  350 	done; \
  351 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  352 	$(am__cd) $(top_srcdir) && \
  353 	  $(AUTOMAKE) --gnu Makefile
  354 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  355 	@case '$?' in \
  356 	  *config.status*) \
  357 	    echo ' $(SHELL) ./config.status'; \
  358 	    $(SHELL) ./config.status;; \
  359 	  *) \
  360 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  361 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  362 	esac;
  363 
  364 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  365 	$(SHELL) ./config.status --recheck
  366 
  367 $(top_srcdir)/configure:  $(am__configure_deps)
  368 	$(am__cd) $(srcdir) && $(AUTOCONF)
  369 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  370 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  371 $(am__aclocal_m4_deps):
  372 install-docDATA: $(doc_DATA)
  373 	@$(NORMAL_INSTALL)
  374 	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
  375 	if test -n "$$list"; then \
  376 	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
  377 	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
  378 	fi; \
  379 	for p in $$list; do \
  380 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  381 	  echo "$$d$$p"; \
  382 	done | $(am__base_list) | \
  383 	while read files; do \
  384 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
  385 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
  386 	done
  387 
  388 uninstall-docDATA:
  389 	@$(NORMAL_UNINSTALL)
  390 	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
  391 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  392 	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
  393 
  394 # This directory's subdirectories are mostly independent; you can cd
  395 # into them and run 'make' without going through this Makefile.
  396 # To change the values of 'make' variables: instead of editing Makefiles,
  397 # (1) if the variable is set in 'config.status', edit 'config.status'
  398 #     (which will cause the Makefiles to be regenerated when you run 'make');
  399 # (2) otherwise, pass the desired values on the 'make' command line.
  400 $(am__recursive_targets):
  401 	@fail=; \
  402 	if $(am__make_keepgoing); then \
  403 	  failcom='fail=yes'; \
  404 	else \
  405 	  failcom='exit 1'; \
  406 	fi; \
  407 	dot_seen=no; \
  408 	target=`echo $@ | sed s/-recursive//`; \
  409 	case "$@" in \
  410 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  411 	  *) list='$(SUBDIRS)' ;; \
  412 	esac; \
  413 	for subdir in $$list; do \
  414 	  echo "Making $$target in $$subdir"; \
  415 	  if test "$$subdir" = "."; then \
  416 	    dot_seen=yes; \
  417 	    local_target="$$target-am"; \
  418 	  else \
  419 	    local_target="$$target"; \
  420 	  fi; \
  421 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  422 	  || eval $$failcom; \
  423 	done; \
  424 	if test "$$dot_seen" = "no"; then \
  425 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  426 	fi; test -z "$$fail"
  427 
  428 ID: $(am__tagged_files)
  429 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  430 tags: tags-recursive
  431 TAGS: tags
  432 
  433 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  434 	set x; \
  435 	here=`pwd`; \
  436 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  437 	  include_option=--etags-include; \
  438 	  empty_fix=.; \
  439 	else \
  440 	  include_option=--include; \
  441 	  empty_fix=; \
  442 	fi; \
  443 	list='$(SUBDIRS)'; for subdir in $$list; do \
  444 	  if test "$$subdir" = .; then :; else \
  445 	    test ! -f $$subdir/TAGS || \
  446 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  447 	  fi; \
  448 	done; \
  449 	$(am__define_uniq_tagged_files); \
  450 	shift; \
  451 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  452 	  test -n "$$unique" || unique=$$empty_fix; \
  453 	  if test $$# -gt 0; then \
  454 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  455 	      "$$@" $$unique; \
  456 	  else \
  457 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  458 	      $$unique; \
  459 	  fi; \
  460 	fi
  461 ctags: ctags-recursive
  462 
  463 CTAGS: ctags
  464 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  465 	$(am__define_uniq_tagged_files); \
  466 	test -z "$(CTAGS_ARGS)$$unique" \
  467 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  468 	     $$unique
  469 
  470 GTAGS:
  471 	here=`$(am__cd) $(top_builddir) && pwd` \
  472 	  && $(am__cd) $(top_srcdir) \
  473 	  && gtags -i $(GTAGS_ARGS) "$$here"
  474 cscope: cscope.files
  475 	test ! -s cscope.files \
  476 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  477 clean-cscope:
  478 	-rm -f cscope.files
  479 cscope.files: clean-cscope cscopelist
  480 cscopelist: cscopelist-recursive
  481 
  482 cscopelist-am: $(am__tagged_files)
  483 	list='$(am__tagged_files)'; \
  484 	case "$(srcdir)" in \
  485 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  486 	  *) sdir=$(subdir)/$(srcdir) ;; \
  487 	esac; \
  488 	for i in $$list; do \
  489 	  if test -f "$$i"; then \
  490 	    echo "$(subdir)/$$i"; \
  491 	  else \
  492 	    echo "$$sdir/$$i"; \
  493 	  fi; \
  494 	done >> $(top_builddir)/cscope.files
  495 
  496 distclean-tags:
  497 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  498 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  499 
  500 distdir: $(BUILT_SOURCES)
  501 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  502 
  503 distdir-am: $(DISTFILES)
  504 	$(am__remove_distdir)
  505 	test -d "$(distdir)" || mkdir "$(distdir)"
  506 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  507 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  508 	list='$(DISTFILES)'; \
  509 	  dist_files=`for file in $$list; do echo $$file; done | \
  510 	  sed -e "s|^$$srcdirstrip/||;t" \
  511 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  512 	case $$dist_files in \
  513 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  514 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  515 			   sort -u` ;; \
  516 	esac; \
  517 	for file in $$dist_files; do \
  518 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  519 	  if test -d $$d/$$file; then \
  520 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  521 	    if test -d "$(distdir)/$$file"; then \
  522 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  523 	    fi; \
  524 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  525 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  526 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  527 	    fi; \
  528 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  529 	  else \
  530 	    test -f "$(distdir)/$$file" \
  531 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  532 	    || exit 1; \
  533 	  fi; \
  534 	done
  535 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  536 	  if test "$$subdir" = .; then :; else \
  537 	    $(am__make_dryrun) \
  538 	      || test -d "$(distdir)/$$subdir" \
  539 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  540 	      || exit 1; \
  541 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  542 	    $(am__relativize); \
  543 	    new_distdir=$$reldir; \
  544 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  545 	    $(am__relativize); \
  546 	    new_top_distdir=$$reldir; \
  547 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  548 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  549 	    ($(am__cd) $$subdir && \
  550 	      $(MAKE) $(AM_MAKEFLAGS) \
  551 	        top_distdir="$$new_top_distdir" \
  552 	        distdir="$$new_distdir" \
  553 		am__remove_distdir=: \
  554 		am__skip_length_check=: \
  555 		am__skip_mode_fix=: \
  556 	        distdir) \
  557 	      || exit 1; \
  558 	  fi; \
  559 	done
  560 	-test -n "$(am__skip_mode_fix)" \
  561 	|| find "$(distdir)" -type d ! -perm -755 \
  562 		-exec chmod u+rwx,go+rx {} \; -o \
  563 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  564 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  565 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  566 	|| chmod -R a+r "$(distdir)"
  567 dist-gzip: distdir
  568 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  569 	$(am__post_remove_distdir)
  570 
  571 dist-bzip2: distdir
  572 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  573 	$(am__post_remove_distdir)
  574 
  575 dist-lzip: distdir
  576 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  577 	$(am__post_remove_distdir)
  578 
  579 dist-xz: distdir
  580 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  581 	$(am__post_remove_distdir)
  582 
  583 dist-zstd: distdir
  584 	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
  585 	$(am__post_remove_distdir)
  586 
  587 dist-tarZ: distdir
  588 	@echo WARNING: "Support for distribution archives compressed with" \
  589 		       "legacy program 'compress' is deprecated." >&2
  590 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  591 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  592 	$(am__post_remove_distdir)
  593 
  594 dist-shar: distdir
  595 	@echo WARNING: "Support for shar distribution archives is" \
  596 	               "deprecated." >&2
  597 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  598 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  599 	$(am__post_remove_distdir)
  600 
  601 dist-zip: distdir
  602 	-rm -f $(distdir).zip
  603 	zip -rq $(distdir).zip $(distdir)
  604 	$(am__post_remove_distdir)
  605 
  606 dist dist-all:
  607 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  608 	$(am__post_remove_distdir)
  609 
  610 # This target untars the dist file and tries a VPATH configuration.  Then
  611 # it guarantees that the distribution is self-contained by making another
  612 # tarfile.
  613 distcheck: dist
  614 	case '$(DIST_ARCHIVES)' in \
  615 	*.tar.gz*) \
  616 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  617 	*.tar.bz2*) \
  618 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  619 	*.tar.lz*) \
  620 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  621 	*.tar.xz*) \
  622 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  623 	*.tar.Z*) \
  624 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  625 	*.shar.gz*) \
  626 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  627 	*.zip*) \
  628 	  unzip $(distdir).zip ;;\
  629 	*.tar.zst*) \
  630 	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
  631 	esac
  632 	chmod -R a-w $(distdir)
  633 	chmod u+w $(distdir)
  634 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  635 	chmod a-w $(distdir)
  636 	test -d $(distdir)/_build || exit 0; \
  637 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  638 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  639 	  && am__cwd=`pwd` \
  640 	  && $(am__cd) $(distdir)/_build/sub \
  641 	  && ../../configure \
  642 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  643 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  644 	    --srcdir=../.. --prefix="$$dc_install_base" \
  645 	  && $(MAKE) $(AM_MAKEFLAGS) \
  646 	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
  647 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  648 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  649 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  650 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  651 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  652 	        distuninstallcheck \
  653 	  && chmod -R a-w "$$dc_install_base" \
  654 	  && ({ \
  655 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  656 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  657 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  658 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  659 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  660 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  661 	  && rm -rf "$$dc_destdir" \
  662 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  663 	  && rm -rf $(DIST_ARCHIVES) \
  664 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  665 	  && cd "$$am__cwd" \
  666 	  || exit 1
  667 	$(am__post_remove_distdir)
  668 	@(echo "$(distdir) archives ready for distribution: "; \
  669 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  670 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  671 distuninstallcheck:
  672 	@test -n '$(distuninstallcheck_dir)' || { \
  673 	  echo 'ERROR: trying to run $@ with an empty' \
  674 	       '$$(distuninstallcheck_dir)' >&2; \
  675 	  exit 1; \
  676 	}; \
  677 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  678 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  679 	  exit 1; \
  680 	}; \
  681 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  682 	   || { echo "ERROR: files left after uninstall:" ; \
  683 	        if test -n "$(DESTDIR)"; then \
  684 	          echo "  (check DESTDIR support)"; \
  685 	        fi ; \
  686 	        $(distuninstallcheck_listfiles) ; \
  687 	        exit 1; } >&2
  688 distcleancheck: distclean
  689 	@if test '$(srcdir)' = . ; then \
  690 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  691 	  exit 1 ; \
  692 	fi
  693 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  694 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  695 	       $(distcleancheck_listfiles) ; \
  696 	       exit 1; } >&2
  697 check-am: all-am
  698 check: check-recursive
  699 all-am: Makefile $(DATA)
  700 installdirs: installdirs-recursive
  701 installdirs-am:
  702 	for dir in "$(DESTDIR)$(docdir)"; do \
  703 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  704 	done
  705 install: install-recursive
  706 install-exec: install-exec-recursive
  707 install-data: install-data-recursive
  708 uninstall: uninstall-recursive
  709 
  710 install-am: all-am
  711 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  712 
  713 installcheck: installcheck-recursive
  714 install-strip:
  715 	if test -z '$(STRIP)'; then \
  716 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  717 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  718 	      install; \
  719 	else \
  720 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  721 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  722 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  723 	fi
  724 mostlyclean-generic:
  725 
  726 clean-generic:
  727 
  728 distclean-generic:
  729 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  730 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  731 
  732 maintainer-clean-generic:
  733 	@echo "This command is intended for maintainers to use"
  734 	@echo "it deletes files that may require special tools to rebuild."
  735 clean: clean-recursive
  736 
  737 clean-am: clean-generic mostlyclean-am
  738 
  739 distclean: distclean-recursive
  740 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  741 	-rm -f Makefile
  742 distclean-am: clean-am distclean-generic distclean-tags
  743 
  744 dvi: dvi-recursive
  745 
  746 dvi-am:
  747 
  748 html: html-recursive
  749 
  750 html-am:
  751 
  752 info: info-recursive
  753 
  754 info-am:
  755 
  756 install-data-am: install-docDATA
  757 
  758 install-dvi: install-dvi-recursive
  759 
  760 install-dvi-am:
  761 
  762 install-exec-am:
  763 
  764 install-html: install-html-recursive
  765 
  766 install-html-am:
  767 
  768 install-info: install-info-recursive
  769 
  770 install-info-am:
  771 
  772 install-man:
  773 
  774 install-pdf: install-pdf-recursive
  775 
  776 install-pdf-am:
  777 
  778 install-ps: install-ps-recursive
  779 
  780 install-ps-am:
  781 
  782 installcheck-am:
  783 
  784 maintainer-clean: maintainer-clean-recursive
  785 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  786 	-rm -rf $(top_srcdir)/autom4te.cache
  787 	-rm -f Makefile
  788 maintainer-clean-am: distclean-am maintainer-clean-generic
  789 
  790 mostlyclean: mostlyclean-recursive
  791 
  792 mostlyclean-am: mostlyclean-generic
  793 
  794 pdf: pdf-recursive
  795 
  796 pdf-am:
  797 
  798 ps: ps-recursive
  799 
  800 ps-am:
  801 
  802 uninstall-am: uninstall-docDATA
  803 
  804 .MAKE: $(am__recursive_targets) install-am install-strip
  805 
  806 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  807 	am--refresh check check-am clean clean-cscope clean-generic \
  808 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  809 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  810 	dist-zstd distcheck distclean distclean-generic distclean-tags \
  811 	distcleancheck distdir distuninstallcheck dvi dvi-am html \
  812 	html-am info info-am install install-am install-data \
  813 	install-data-am install-docDATA install-dvi install-dvi-am \
  814 	install-exec install-exec-am install-html install-html-am \
  815 	install-info install-info-am install-man install-pdf \
  816 	install-pdf-am install-ps install-ps-am install-strip \
  817 	installcheck installcheck-am installdirs installdirs-am \
  818 	maintainer-clean maintainer-clean-generic mostlyclean \
  819 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  820 	uninstall-am uninstall-docDATA
  821 
  822 .PRECIOUS: Makefile
  823 
  824 
  825 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  826 # Otherwise a system limit (for SysV at least) may be exceeded.
  827 .NOEXPORT: